Bug 62516 - glibc C99 issue
glibc C99 issue
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: glibc (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-01 19:20 EST by Trond Eivind Glomsrxd
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-03 04:25:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrxd 2002-04-01 19:20:16 EST
Can't compile "hello world" if I use "-std=c99" and include <semaphore.h> in my
program... without using it.
Comment 1 Jakub Jelinek 2002-04-03 04:25:44 EST
Ulrich point is that you should not include non-ISOC99 headers unless you
use feature macro for standard which includes the header (e.g.
-std=c99 -D_GNU_SOURCE or -std=c99 -D_XOPEN_SOURCE=500).
I'll tweak the header nevertheless.
Comment 2 Jakub Jelinek 2002-04-11 12:22:13 EDT
Fixed in glibc-2.2.5-32.

Note You need to log in before you can comment on or make changes to this bug.